%define _usrdir	/usr
%define _ugdir	%{_usrdir}/ug

Name:		ug-setting-manage-applications-efl
Summary:	Manage Application package
Version:	0.0.72
Release:	0
Group:		Applications/System
License:	Flora Software License
Source0:	%{name}-%{version}.tar.gz
BuildRequires: cmake
BuildRequires: gettext-tools
BuildRequires: edje-tools
BuildRequires: pkgconfig(capi-appfw-application)
BuildRequires: pkgconfig(capi-appfw-app-manager)
BuildRequires: pkgconfig(appcore-efl)
BuildRequires: pkgconfig(appsvc)
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(edje)
BuildRequires: pkgconfig(eina)
BuildRequires: pkgconfig(elementary)
BuildRequires: pkgconfig(evas)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(pkgmgr)
BuildRequires: pkgconfig(pkgmgr-info)
BuildRequires: pkgconfig(ui-gadget-1)
BuildRequires: pkgconfig(capi-system-sensor)
BuildRequires: pkgconfig(icu-i18n)

%description
Description: Manage Application package

%prep
%setup -q

%build
mkdir -p cmake_build_tmp && cd cmake_build_tmp

CFLAGS+=" -fvisibility=hidden"; export CFLAGS
CXXFLAGS+=" -fvisibility=hidden"; export CXXFLAGS
FFLAGS+=" -fvisibility=hidden"; export FFLAGS
LDFLAGS+=" -Wl,--hash-style=both -Wl,--rpath=%{_libdir} -Wl,--as-needed -Wl,-zdefs"; export LDFLAGS

cmake .. -DCMAKE_INSTALL_PREFIX="%{_ugdir}" -DCMAKE_BUILD_TYPE="Release" -DPKGNAME="ug-setting-manage-applications-efl"

make

cd ..


%install

cd cmake_build_tmp

rm -rf %{buildroot}
%make_install

cd ..

%files
%manifest ug-setting-manage-applications-efl.manifest
%defattr(-,root,root,-) 
%{_ugdir}/lib/libug-setting-manage-applications-efl.so.0.1.0
%{_ugdir}/res/edje/ug-setting-manage-applications-efl/ug-setting-manage-applications-efl.edj
%{_ugdir}/res/locale/*/LC_MESSAGES/*
%{_ugdir}/res/images/ug-setting-manage-applications-efl
%{_ugdir}/res/images/ug-setting-manage-applications-efl/default_icon_app.png
%{_ugdir}/res/images/ug-setting-manage-applications-efl/default_icon_service.png
%{_ugdir}/res/images/ug-setting-manage-applications-efl/ManageApplications.png
%{_ugdir}/lib/libug-setting-manage-applications-efl.so

